Bug 16570 - All checked-in items are said to be part of a rotating collection
Summary: All checked-in items are said to be part of a rotating collection
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15564
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-23 15:16 UTC by Owen Leonard
Modified: 2019-06-27 09:24 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16570: Do not tell all checked-in items are part of a rotating collection (1.77 KB, patch)
2016-05-24 18:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16570: Do not tell all checked-in items are part of a rotating collection (1.91 KB, patch)
2016-05-24 19:41 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16570: Do not tell all checked-in items are part of a rotating collection (1.96 KB, patch)
2016-06-10 14:47 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-23 15:16:18 UTC
I have no rotating collections defined, but every time I check something in I get a message that the item is part of a rotating collection and needs to be transferred.

git bisect blames commit 30dc04c74a2ef00c22667f722746c2c6be1da6b1 (Bug 15564).
Comment 1 Marc Véron 2016-05-23 16:02:28 UTC
Confirmed.
Comment 2 Jonathan Druart 2016-05-24 18:59:09 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-05-24 19:41:20 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2016-06-10 14:47:36 UTC
Created attachment 52236 [details] [review]
Bug 16570: Do not tell all checked-in items are part of a rotating collection

When an item is checked-in a message will tell you it's part of a
rotating collection, even if it's not true.

Test plan:
Make sure the message appears only when needed.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Kyle M Hall 2016-06-10 16:38:34 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Frédéric Demians 2016-06-15 07:40:50 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-06-16 08:36:10 UTC
Not needed in 3.22.x